petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexUninterpolate

Take in a mesh with all intermediate faces, edges, etc. and return a cell-vertex mesh

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexUninterpolate(DM dm, DM *dmUnint)

Collective on dm

### Input Parameter

dm -The complete DMPlex object

### Output Parameter

dmUnint -The DMPlex object with only cells and vertices

### Notes

It does not copy over the coordinates.

### See Also

DMPlexInterpolate(), DMPlexCreateFromCellList(), DMPlexCopyCoordinates()

### Level

intermediate

### Location

src/dm/impls/plex/plexinterpolate.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages